export type IInputSubmitValue =
	| {
			name: string;
			value: any;
	  }
	| { error: true };

export type IInputSubmitHandler = () => IInputSubmitValue;

export type IRemoveInputSubmitHandler = () => void;

export interface IFormContext {
	addInput(onSubmit: IInputSubmitHandler): IRemoveInputSubmitHandler;
	submit(): void;
}
